﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinExplorerBar;

namespace _95302
{
    class HideQuickCustomizeButtonCreationFilter:IUIElementCreationFilter
    {
        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            NavigationOverflowButtonAreaUIElement buttonArea = parent as NavigationOverflowButtonAreaUIElement;
            if (buttonArea != null)
            {
                NavigationOverflowQuickCustomizeButtonUIElement buttonElement =
                    buttonArea.GetDescendant(typeof(NavigationOverflowQuickCustomizeButtonUIElement)) as
                    NavigationOverflowQuickCustomizeButtonUIElement;

                if (buttonElement != null)
                    buttonArea.ChildElements.Remove(buttonElement);
            }


        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }

        #endregion
    }
}
